### Hierarchy

- IDBKeyRange

## Index

### Properties

- lower
- lowerOpen
- upper
- upperOpen

### Methods

- includes

## Properties

### lower

lower: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8920

Returns lower bound, or undefined if none.

### lowerOpen

lowerOpen: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8924

Returns true if the lower open flag is set, and false otherwise.

### upper

upper: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8928

Returns upper bound, or undefined if none.

### upperOpen

upperOpen: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8932

Returns true if the upper open flag is set, and false otherwise.

## Methods

### includes

- includes(key: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8936

  Returns true if key is included in the range, and false otherwise.

  #### Parameters

  - ##### key: any

  #### Returns boolean

Generated using TypeDoc